/***********************************************************
  文件名：turangshidu.ino
  描述：获取土壤湿度值
  作者：陈志强
  日期：2022.11.3
***********************************************************/

float j = 0.0;//定义变量类型
 float turangshidu= 0.0;//定义变量类型

void setup(){
  Serial.begin(9600);//设置串口波特率
 

  pinMode(A0, INPUT);//设置A0为输入模式
}

void loop(){
  //土壤湿度传感器接A0.串口打印土壤湿度值
  //土壤水分越大，土壤湿度传感器模拟值越大；当土壤水分含量低，土壤湿度传感器模拟值越小

  turangshidu = analogRead(A0);//获取土壤传感器模拟值
  j = (turangshidu / 1023) * 100;//换算到土壤湿度值
  delay(500);//延时0.5s
  Serial.println(String("土壤湿度值：") + String(j) + String("%"));//串口打印土壤湿度值

}
